Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax.gas
Interface GASParserConstants

All Known Implementing Classes:
  GASParser, GASParserTokenManager

public interface GASParserConstants

Field Summary
`static int` | `ADC`
`static int` | `ADD`
`static int` | `ADIW`
`static int` | `AND`
`static int` | `ANDI`
`static int` | `ARCH`
`static int` | `ASR`
`static int` | `BCLR`
`static int` | `BIN_LITERAL`
`static int` | `BLD`
`static int` | `BRBC`
`static int` | `BRBS`
`static int` | `BRCC`
`static int` | `BRCS`
`static int` | `BREAK`
`static int` | `BREQ`
`static int` | `BRGE`
`static int` | `BRHC`
`static int` | `BRHS`
`static int` | `BRID`
`static int` | `BRIE`
`static int` | `BRLO`
`static int` | `BRLT`
`static int` | `BRMI`
`static int` | `BRNE`
`static int` | `BRPL`
`static int` | `BRSH`
`static int` | `BRTC`
`static int` | `BRTS`
`static int` | `BRVC`
`static int` | `BRVS`
`static int` | `BSET`
`static int` | `BST`
`static int` | `BYTE`
`static int` | `CALL`
`static int` | `CBI`
`static int` | `CBR`
`static int` | `CHARACTER_LITERAL`
`static int` | `CLC`
`static int` | `CLH`
`static int` | `CLI`
`static int` | `CLN`
`static int` | `CLR`
`static int` | `CLS`
`static int` | `CLT`
`static int` | `CLV`
`static int` | `CLZ`
`static int` | `COM`
`static int` | `CP`
`static int` | `CPC`
`static int` | `CPI`
`static int` | `CPSE`
`static int` | `DATA`
`static int` | `DEC`
`static int` | `DECIMAL_LITERAL`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `EICALL`
`static int` | `EIJMP`
`static int` | `ELPM`
`static int` | `EOF`
`static int` | `EOR`
`static int` | `EQU`
`static int` | `FILE`
`static int` | `FMUL`
`static int` | `FMULS`
`static int` | `FMULSU`
`static int` | `FORMAL_COMMENT`
`static int` | `GLOBAL`
`static int` | `HEX_LITERAL`
`static int` | `HI8`
`static int` | `ICALL`
`static int` | `IDENTIFIER`
`static int` | `IJMP`
`static int` | `IN`
`static int` | `IN_FORMAL_COMMENT`
`static int` | `IN_MULTI_LINE_COMMENT`
`static int` | `IN_SINGLE_LINE_COMMENT`
`static int` | `INC`
`static int` | `INCLUDE`
`static int` | `INTEGER_LITERAL`
`static int` | `JMP`
`static int` | `LD`
`static int` | `LDD`
`static int` | `LDI`
`static int` | `LDS`
`static int` | `LETTER`
`static int` | `LIST`
`static int` | `LO8`
`static int` | `LONG`
`static int` | `LPM`
`static int` | `LSL`
`static int` | `LSR`
`static int` | `MOV`
`static int` | `MOVW`
`static int` | `MUL`
`static int` | `MULS`
`static int` | `MULSU`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `NEG`
`static int` | `NOLIST`
`static int` | `NOP`
`static int` | `OCTAL_LITERAL`
`static int` | `OR`
`static int` | `ORG`
`static int` | `ORI`
`static int` | `OUT`
`static int` | `POP`
`static int` | `PUSH`
`static int` | `RCALL`
`static int` | `RET`
`static int` | `RETI`
`static int` | `RJMP`
`static int` | `ROL`
`static int` | `ROR`
`static int` | `SBC`
`static int` | `SBCI`
`static int` | `SBI`
`static int` | `SBIC`
`static int` | `SBIS`
`static int` | `SBIW`
`static int` | `SBR`
`static int` | `SBRC`
`static int` | `SBRS`
`static int` | `SEC`
`static int` | `SEH`
`static int` | `SEI`
`static int` | `SEN`
`static int` | `SER`
`static int` | `SES`
`static int` | `SET`
`static int` | `SEV`
`static int` | `SEZ`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SIZE`
`static int` | `SKIPS`
`static int` | `SLEEP`
`static int` | `SPACE`
`static int` | `SPM`
`static int` | `ST`
`static int` | `STD`
`static int` | `STRING_LITERAL`
`static int` | `STS`
`static int` | `SUB`
`static int` | `SUBI`
`static int` | `SWAP`
`static int` | `TEXT`
`static java.lang.String[]` | `tokenImage`
`static int` | `TST`
`static int` | `TYPE`
`static int` | `WDR`
`static int` | `WORD`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

See Also:
  Constant Field Values

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### DECIMAL_LITERAL

    public static final int DECIMAL_LITERAL

See Also:
  Constant Field Values

### HEX_LITERAL

    public static final int HEX_LITERAL

See Also:
  Constant Field Values

### BIN_LITERAL

    public static final int BIN_LITERAL

See Also:
  Constant Field Values

### OCTAL_LITERAL

    public static final int OCTAL_LITERAL

See Also:
  Constant Field Values

### CHARACTER_LITERAL

    public static final int CHARACTER_LITERAL

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### LO8

    public static final int LO8

See Also:
  Constant Field Values

### HI8

    public static final int HI8

See Also:
  Constant Field Values

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### WORD

    public static final int WORD

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### FILE

    public static final int FILE

See Also:
  Constant Field Values

### INCLUDE

    public static final int INCLUDE

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### ARCH

    public static final int ARCH

See Also:
  Constant Field Values

### EQU

    public static final int EQU

See Also:
  Constant Field Values

### ORG

    public static final int ORG

See Also:
  Constant Field Values

### DATA

    public static final int DATA

See Also:
  Constant Field Values

### LIST

    public static final int LIST

See Also:
  Constant Field Values

### NOLIST

    public static final int NOLIST

See Also:
  Constant Field Values

### SKIPS

    public static final int SKIPS

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### SPACE

    public static final int SPACE

See Also:
  Constant Field Values

### GLOBAL

    public static final int GLOBAL

See Also:
  Constant Field Values

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### ADC

    public static final int ADC

See Also:
  Constant Field Values

### ADIW

    public static final int ADIW

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### ANDI

    public static final int ANDI

See Also:
  Constant Field Values

### ASR

    public static final int ASR

See Also:
  Constant Field Values

### BCLR

    public static final int BCLR

See Also:
  Constant Field Values

### BLD

    public static final int BLD

See Also:
  Constant Field Values

### BRBC

    public static final int BRBC

See Also:
  Constant Field Values

### BRBS

    public static final int BRBS

See Also:
  Constant Field Values

### BRCC

    public static final int BRCC

See Also:
  Constant Field Values

### BRCS

    public static final int BRCS

See Also:
  Constant Field Values

### BREAK

    public static final int BREAK

See Also:
  Constant Field Values

### BREQ

    public static final int BREQ

See Also:
  Constant Field Values

### BRGE

    public static final int BRGE

See Also:
  Constant Field Values

### BRHC

    public static final int BRHC

See Also:
  Constant Field Values

### BRHS

    public static final int BRHS

See Also:
  Constant Field Values

### BRID

    public static final int BRID

See Also:
  Constant Field Values

### BRIE

    public static final int BRIE

See Also:
  Constant Field Values

### BRLO

    public static final int BRLO

See Also:
  Constant Field Values

### BRLT

    public static final int BRLT

See Also:
  Constant Field Values

### BRMI

    public static final int BRMI

See Also:
  Constant Field Values

### BRNE

    public static final int BRNE

See Also:
  Constant Field Values

### BRPL

    public static final int BRPL

See Also:
  Constant Field Values

### BRSH

    public static final int BRSH

See Also:
  Constant Field Values

### BRTC

    public static final int BRTC

See Also:
  Constant Field Values

### BRTS

    public static final int BRTS

See Also:
  Constant Field Values

### BRVC

    public static final int BRVC

See Also:
  Constant Field Values

### BRVS

    public static final int BRVS

See Also:
  Constant Field Values

### BSET

    public static final int BSET

See Also:
  Constant Field Values

### BST

    public static final int BST

See Also:
  Constant Field Values

### CALL

    public static final int CALL

See Also:
  Constant Field Values

### CBI

    public static final int CBI

See Also:
  Constant Field Values

### CBR

    public static final int CBR

See Also:
  Constant Field Values

### CLC

    public static final int CLC

See Also:
  Constant Field Values

### CLH

    public static final int CLH

See Also:
  Constant Field Values

### CLI

    public static final int CLI

See Also:
  Constant Field Values

### CLN

    public static final int CLN

See Also:
  Constant Field Values

### CLR

    public static final int CLR

See Also:
  Constant Field Values

### CLS

    public static final int CLS

See Also:
  Constant Field Values

### CLT

    public static final int CLT

See Also:
  Constant Field Values

### CLV

    public static final int CLV

See Also:
  Constant Field Values

### CLZ

    public static final int CLZ

See Also:
  Constant Field Values

### COM

    public static final int COM

See Also:
  Constant Field Values

### CP

    public static final int CP

See Also:
  Constant Field Values

### CPC

    public static final int CPC

See Also:
  Constant Field Values

### CPI

    public static final int CPI

See Also:
  Constant Field Values

### CPSE

    public static final int CPSE

See Also:
  Constant Field Values

### DEC

    public static final int DEC

See Also:
  Constant Field Values

### EICALL

    public static final int EICALL

See Also:
  Constant Field Values

### EIJMP

    public static final int EIJMP

See Also:
  Constant Field Values

### ELPM

    public static final int ELPM

See Also:
  Constant Field Values

### EOR

    public static final int EOR

See Also:
  Constant Field Values

### FMUL

    public static final int FMUL

See Also:
  Constant Field Values

### FMULS

    public static final int FMULS

See Also:
  Constant Field Values

### FMULSU

    public static final int FMULSU

See Also:
  Constant Field Values

### ICALL

    public static final int ICALL

See Also:
  Constant Field Values

### IJMP

    public static final int IJMP

See Also:
  Constant Field Values

### IN

    public static final int IN

See Also:
  Constant Field Values

### INC

    public static final int INC

See Also:
  Constant Field Values

### JMP

    public static final int JMP

See Also:
  Constant Field Values

### LD

    public static final int LD

See Also:
  Constant Field Values

### LDD

    public static final int LDD

See Also:
  Constant Field Values

### LDI

    public static final int LDI

See Also:
  Constant Field Values

### LDS

    public static final int LDS

See Also:
  Constant Field Values

### LPM

    public static final int LPM

See Also:
  Constant Field Values

### LSL

    public static final int LSL

See Also:
  Constant Field Values

### LSR

    public static final int LSR

See Also:
  Constant Field Values

### MOV

    public static final int MOV

See Also:
  Constant Field Values

### MOVW

    public static final int MOVW

See Also:
  Constant Field Values

### MUL

    public static final int MUL

See Also:
  Constant Field Values

### MULS

    public static final int MULS

See Also:
  Constant Field Values

### MULSU

    public static final int MULSU

See Also:
  Constant Field Values

### NEG

    public static final int NEG

See Also:
  Constant Field Values

### NOP

    public static final int NOP

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### ORI

    public static final int ORI

See Also:
  Constant Field Values

### OUT

    public static final int OUT

See Also:
  Constant Field Values

### POP

    public static final int POP

See Also:
  Constant Field Values

### PUSH

    public static final int PUSH

See Also:
  Constant Field Values

### RCALL

    public static final int RCALL

See Also:
  Constant Field Values

### RET

    public static final int RET

See Also:
  Constant Field Values

### RETI

    public static final int RETI

See Also:
  Constant Field Values

### RJMP

    public static final int RJMP

See Also:
  Constant Field Values

### ROL

    public static final int ROL

See Also:
  Constant Field Values

### ROR

    public static final int ROR

See Also:
  Constant Field Values

### SBC

    public static final int SBC

See Also:
  Constant Field Values

### SBCI

    public static final int SBCI

See Also:
  Constant Field Values

### SBI

    public static final int SBI

See Also:
  Constant Field Values

### SBIC

    public static final int SBIC

See Also:
  Constant Field Values

### SBIS

    public static final int SBIS

See Also:
  Constant Field Values

### SBIW

    public static final int SBIW

See Also:
  Constant Field Values

### SBR

    public static final int SBR

See Also:
  Constant Field Values

### SBRC

    public static final int SBRC

See Also:
  Constant Field Values

### SBRS

    public static final int SBRS

See Also:
  Constant Field Values

### SEC

    public static final int SEC

See Also:
  Constant Field Values

### SEH

    public static final int SEH

See Also:
  Constant Field Values

### SEI

    public static final int SEI

See Also:
  Constant Field Values

### SEN

    public static final int SEN

See Also:
  Constant Field Values

### SER

    public static final int SER

See Also:
  Constant Field Values

### SES

    public static final int SES

See Also:
  Constant Field Values

### SET

    public static final int SET

See Also:
  Constant Field Values

### SEV

    public static final int SEV

See Also:
  Constant Field Values

### SEZ

    public static final int SEZ

See Also:
  Constant Field Values

### SLEEP

    public static final int SLEEP

See Also:
  Constant Field Values

### SPM

    public static final int SPM

See Also:
  Constant Field Values

### ST

    public static final int ST

See Also:
  Constant Field Values

### STD

    public static final int STD

See Also:
  Constant Field Values

### STS

    public static final int STS

See Also:
  Constant Field Values

### SUB

    public static final int SUB

See Also:
  Constant Field Values

### SUBI

    public static final int SUBI

See Also:
  Constant Field Values

### SWAP

    public static final int SWAP

See Also:
  Constant Field Values

### TST

    public static final int TST

See Also:
  Constant Field Values

### WDR

    public static final int WDR

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### IN_SINGLE_LINE_COMMENT

    public static final int IN_SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### IN_FORMAL_COMMENT

    public static final int IN_FORMAL_COMMENT

See Also:
  Constant Field Values

### IN_MULTI_LINE_COMMENT

    public static final int IN_MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD